#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=koyna14.31_depth_histogram.ps
projection=-JX12/10
region=-R0/20/0/17
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths koyna14.31' -K <<END>> $psfile
     6.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
    15.000
     7.000
     3.000
     2.000
     9.000
    13.000
     6.000
     8.000
    11.000
     7.000
     6.000
    10.000
     7.700
     5.600
    11.100
    12.200
     5.400
    12.200
     5.000
     4.900
     4.100
     5.500
     4.000
    11.600
     6.500
     7.000
END
gmt pshistogram $projection $region -W1 -F -Gblack -K -O << END >> $psfile
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
     7.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    15.980     1.000 Median of constrained depths =  6.8
END
